#include <stdio.h>

static long num_rects = 1000000000;

int main() {
  int i;
  double mid, height, width, sum = 0.0;
  double area;

  width = 1.0/(double)num_rects;
  printf("Computed width = %f\n", width);
  for (i = 0; i < num_rects; i++) {
    mid = (i + 0.5) * width;
    height = 4.0/(1.0 + mid*mid);
    sum += height;
  }

  area = width * sum;
  printf("Computed pi = %f\n", area);
}
